# ApplicationFramework
TKLCAF
TDataStd

# TDataStd_HArray1OfByte Class Reference

`#include <TDataStd_HArray1OfByte.hxx>`

## Public Member Functions

Standard_EXPORT | TDataStd_HArray1OfByte (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | TDataStd_HArray1OfByte (const Standard_Integer Low, const Standard_Integer Up, const Standard_Byte &V)
Standard_EXPORT void | Init (const Standard_Byte &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Standard_Byte &Value)
const Standard_Byte & | Value (const Standard_Integer Index) const
Standard_Byte & | ChangeValue (const Standard_Integer Index)
const TDataStd_Array1OfByte & | Array1 () const
TDataStd_Array1OfByte & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TDataStd_Array1OfByte | myArray

## Constructor & Destructor Documentation

Standard_EXPORT TDataStd_HArray1OfByte::TDataStd_HArray1OfByte | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT TDataStd_HArray1OfByte::TDataStd_HArray1OfByte | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Standard_Byte & | V
| ) |

## Member Function Documentation

const TDataStd_Array1OfByte& TDataStd_HArray1OfByte::Array1 | ( |  | ) | const

TDataStd_Array1OfByte& TDataStd_HArray1OfByte::ChangeArray1 | ( |  | ) |

Standard_Byte& TDataStd_HArray1OfByte::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const TDataStd_HArray1OfByte::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void TDataStd_HArray1OfByte::Init | ( | const Standard_Byte & | V | ) |

Standard_Integer TDataStd_HArray1OfByte::Length | ( |  | ) | const

Standard_Integer TDataStd_HArray1OfByte::Lower | ( |  | ) | const

void TDataStd_HArray1OfByte::SetValue | ( | const Standard_Integer | Index,
|  | const Standard_Byte & | Value
| ) |

Standard_Integer TDataStd_HArray1OfByte::Upper | ( |  | ) | const

const Standard_Byte& TDataStd_HArray1OfByte::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

TDataStd_Array1OfByte TDataStd_HArray1OfByte::myArray `[private]`

The documentation for this class was generated from the following file:

- TDataStd_HArray1OfByte.hxx